Set up machine translate settings secrets
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/{mtsUid}/secrets \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/{mtsUid}/secrets"
payload = { "type": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: '<string>'})
};
fetch('https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/{mtsUid}/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Machine Translation Settings
Set up machine translate settings secrets
It is possible to only add secrets to existing settings with corresponding secrets type e.g it is possible to add only Amazon specific secrets to the Amazon type settings.
You should also use this method for updating secrets for settings
PUT
/
api2
/
v1
/
machineTranslateSettings
/
{mtsUid}
/
secrets
Set up machine translate settings secrets
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Machine translate settings UID
Body
application/json
Machine translate settings secrets
Type of the secret with predefined Enumeration
Response
Created
Was this page helpful?
⌘I